Summary: Music DJing software
Name: mixxx
Version: 2.0.0
Release: %mkrel 1
Group: Sound
License: GPLv2+
URL: http://mixxx.sourceforge.net/
Source: http://downloads.mixxx.org/%{name}-%{version}/%{name}-%{version}.tar.xz
BuildRequires: pkgconfig(sndfile)
BuildRequires: qt4-devel
BuildRequires: pkgconfig(fftw3)
BuildRequires: pkgconfig(ogg)
BuildRequires: pkgconfig(vorbis)
BuildRequires: pkgconfig(jack)
BuildRequires: pkgconfig(audiofile)
BuildRequires: pkgconfig(mad)
BuildRequires: pkgconfig(taglib)
BuildRequires: pkgconfig(id3tag)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(portaudio-2.0)
BuildRequires: pkgconfig(libdjconsole)
BuildRequires: ladspa-devel
BuildRequires: %{_lib}vamp-plugin-sdk-devel
BuildRequires: pkgconfig(libusb)
BuildRequires: pkgconfig(libgpod-1.0)
BuildRequires: pkgconfig(shout)
BuildRequires: portmidi-devel
BuildRequires: ffmpeg-devel
BuildRequires: pkgconfig(protobuf)
BuildRequires: %{_lib}chromaprint-devel
BuildRequires: pkgconfig(rubberband)
BuildRequires: scons
BuildRequires: ImageMagick
Requires: qt4-database-plugin-sqlite


%description
Mixxx allows DJs to mix music live with a clean, simple interface.
Futhermore, Mixxx has a number of key features to help DJs in the mix:
Beat estimation, parallel visual displays, and support for various DJ
hardware controllers.

Mixxx can be controlled through the GUI using the mouse, or by
connecting MIDI devices to the computer. Commercial and custom build
MIDI controllers can be used. The mapping between functions and MIDI
controller values are done in text files.

%prep
%setup -q
%apply_patches

%build
sed -i -e "s|QTDIR\/lib|QTDIR\/%{_lib}|g" src/SConscript
sed -i -e 's|-Wl,-rpath,\$QTDIR/%{_lib}||g' src/SConscript

#sed -i -e "s|lib\/libqt-mt|%{_lib}\/libqt-mt|g" \
# src/build.definition

%scons qtdir=%{qt4dir}\
prefix=%{_prefix} \
install_root=%{buildroot}%{_prefix} \
qtdir=%{qt4dir} \
djconsole=1 \
optimize=0 \
script=0 \
shoutcast=1 \
ladspa=0 \
ipod=0 \
hifieq=1 \
ffmpeg=0 \
vinylcontrol=1 \
midiscript=1 \
rawmidi=1 \
tonal=1 \
portmidi=0 \
m4a=0 \
tuned=0

%install
rm -rf %{buildroot}
export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:%{qt4lib}/pkgconfig
mkdir -p %{buildroot}%{_prefix}
%scons_install \
prefix=%{_prefix} \
install_root=%{buildroot}%{_prefix}

rm -rf %{buildroot}/%{_docdir}

# desktop entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Name=Mixxx
GenericName=Digital DJ interface
Comment=A digital DJ interface
Exec=mixxx
Terminal=false
Icon=mixxx-icon
Type=Application
StartupNotify=true
Categories=Qt;AudioVideo;Audio;X-MandrivaLinux-Multimedia-Sound;
X-Desktop-File-Install-Version=0.21
EOF

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,128x128}/apps

install -m644 res/images/mixxx-icon.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/mixxx-icon.png
convert -resize 128x128 res/images/mixxx-icon.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/mixxx-icon.png
convert -resize 32x32 res/images/mixxx-icon.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/mixxx-icon.png
convert -resize 16x16 res/images/mixxx-icon.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/mixxx-icon.png



%files
%doc README LICENSE COPYING
%doc Mixxx-Manual.pdf
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
/usr/lib/mixxx/plugins/vamp/*.so


%changelog
* Wed Dec 30 2015 daniel <meisssw01 at gmail.com> 2.0.0-1pclos2016
- update 

* Thu Jul 4 2013 Ken <lxgator at gmail.com> 1.11.0-1pclos2013
- Initial pkg
